View Issue Details

IDProjectCategoryView StatusLast Update
0037328FPCMiscpublic2020-07-13 11:41
ReporterPetru Simionescu Assigned ToMarco van de Voort  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Summary0037328: in the ABOUT window the copyright years should be 1998 - 2020
Descriptionplease see screenshot
TagsNo tags attached.
Fixed in Revision45771
FPCOldBugId
FPCTarget-
Attached Files

Activities

Petru Simionescu

2020-07-11 04:41

reporter  

fp_about.png (30,719 bytes)   
fp_about.png (30,719 bytes)   

Marco van de Voort

2020-07-11 19:57

manager   ~0123890

Updated to 2020 + added it to the list of files to be updated for a release.

Thaddy de Koning

2020-07-12 12:22

reporter   ~0123919

Maybe use Now() for the year. I remember I also reported similar issues...

Sven Barth

2020-07-12 13:17

manager   ~0123920

@Thaddy: no, we want it to be the date of the source, not the date of the build or the date that it's currently run at.

Marco van de Voort

2020-07-12 14:31

manager   ~0123926

Last edited: 2020-07-12 14:31

View 2 revisions

We could centralize the upper date of copyright ranges though, even if we don't automatically update it with the current date.

Sven Barth

2020-07-12 21:23

manager   ~0123944

That would indeed be a possibility.

stocki

2020-07-13 10:03

reporter   ~0123957

I am parsing the date from svn and put it into a include file. After compilation I have always the right year timestamp.

Sven Barth

2020-07-13 11:41

manager   ~0123962

Not every compilation is done from a checkout.

Issue History

Date Modified Username Field Change
2020-07-11 04:41 Petru Simionescu New Issue
2020-07-11 04:41 Petru Simionescu File Added: fp_about.png
2020-07-11 19:57 Marco van de Voort Assigned To => Marco van de Voort
2020-07-11 19:57 Marco van de Voort Status new => resolved
2020-07-11 19:57 Marco van de Voort Resolution open => fixed
2020-07-11 19:57 Marco van de Voort Fixed in Revision => 45771
2020-07-11 19:57 Marco van de Voort FPCTarget => -
2020-07-11 19:57 Marco van de Voort Note Added: 0123890
2020-07-12 12:22 Thaddy de Koning Note Added: 0123919
2020-07-12 13:17 Sven Barth Note Added: 0123920
2020-07-12 14:31 Marco van de Voort Note Added: 0123926
2020-07-12 14:31 Marco van de Voort Note Edited: 0123926 View Revisions
2020-07-12 21:23 Sven Barth Note Added: 0123944
2020-07-13 10:03 stocki Note Added: 0123957
2020-07-13 11:41 Sven Barth Note Added: 0123962